﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.01
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Public SQL2 As SQL
	Public rp As RuntimePermissions
End Sub

Sub Service_Create
	Private  Anwesend As String = rp.GetSafeDirDefaultExternal("")  '-- Original -- benötigt --> Dim rp As RuntimePermissions <-- in Process_Globals --

	File.Delete(Anwesend, "Anwesend.sl3") 'löscht die Datenbank zum testen

	If File.Exists(Anwesend, "Anwesend.sl3") = False Then
		SQL2.Initialize(Anwesend, "Anwesend.sl3", True)
		TabellenErstellen
	Else
		SQL2.Initialize(Anwesend, "Anwesend.sl3", True)
	End If
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub

Sub TabellenErstellen
	'-- die Tabelle "AnWesenheitsStatus" neu erstellen --
	SQL2.ExecNonQuery("CREATE TABLE IF NOT EXISTS AnWesenheitsStatus(AWS_001, AWS_002, AWS_003, AWS_004, AWS_005)")
	SQL2.ExecNonQuery("CREATE TABLE IF NOT EXISTS Personen (Name TEXT, Vorname TEXT)")

	'-- die Tabelle mit Daten füllen -- vorher prüfen ob Cursor.RowCount = 0 --
	SQL2.ExecNonQuery("INSERT INTO AnWesenheitsStatus VALUES ('AWS_1001', 'x', 'anwesend', '01.05.2019 00:00', 'JH')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('MEIER', 'Hans')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('MEIER', 'Klaus')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('MÜLLER', 'Peter')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('MÜLLER', 'Max')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('KRAUSE', 'Heinrich')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('KÖHLER', 'Ferdinand')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('BRANDT', 'Willi')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('STRAUSS', 'Manfred')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('KLEIN', 'Helmut')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('KLEIN', 'Michael')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('KOHL', 'Helmut')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('KOHL', 'Daniel')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('MOSBURGER', 'Franz')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('LEUTENEGGER', 'Manfred')")
	SQL2.ExecNonQuery("INSERT INTO Personen VALUES('LEUENBERGER', 'Karl-Heinz')")
End Sub